Bug 32870 - add_changelog не дружит с BuildRequires(pre) при rpm-4.13
: add_changelog не дружит с BuildRequires(pre) при rpm-4.13
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2016-12-09 16:05 by
Modified: 2016-12-15 17:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-12-09 16:05:31
С новым rpm сломался add_changelog, т.к. ругается на BuildRequires(pre) в
spec-файле.
------- Comment #1 From 2016-12-09 18:17:21 -------
Это регрессия в rpm --specfile.
------- Comment #2 From 2016-12-13 20:46:40 -------
rpm-4.13.0-alt4 -> sisyphus:

* Tue Dec 13 2016 Gleb F-Malinovskiy <glebfm@altlinux> 4.13.0-alt4
- rpmspec: restored support of BuildRequires(pre) (ALT#32870),
  and Serial (ALT#32888) tags.
- rpmspec: fixed support of long lines in specfile.
- rpm: restored --with{,out} and --{en,dis}able aliases for rpmbuild.
- Added conflict to apt < 0.5.15lorg2-alt54 (ALT#32873).
- Fixed retrieving of remote files.
- Dropped R: curl (it is optional).
- Fixed encoding of translataed manpages.
- Changed rpmlog to write to stderr.
- Fixed support of APT external tags (ALT#32887).
- Define RPM_INSTALL_{NAME,ARG1,ARG2} env variables only for per-package
  scripts (ALT#32890).